NuSphere Forums Forum Index
NuSphere Forums
Reply to topic
php compiled with vs2008 (maybe 2005 too) and phpexpress


Joined: 27 Nov 2007
Posts: 1
Reply with quote
PhpExpress causes PHP to crash.

Trace:
> ntdll.dll!_RtlpWaitForCriticalSection@4() + 0x5b bytes
ntdll.dll!_RtlEnterCriticalSection@4() + 0x46 bytes
msvcrt.dll!__lock_file() + 0x33 bytes
msvcrt.dll!_fseek() + 0x14 bytes
phpexpress-php-5.2.dll!01a560ee()
[Frames below may be incorrect and/or missing, no symbols loaded for phpexpress-php-5.2.dll]
iisRtl.dll!_IisFree@4() + 0x16 bytes
c5ffffff()

this is php5 isapi.

reproduce:
compile php5 with vs2008 and add phpexpress as an extension. run phpinf();

-Mike
View user's profileFind all posts by mike_siSend private message
Site Admin

Joined: 13 Jul 2003
Posts: 7897
Reply with quote
vc 2005 or 2008 provide NO binary compatibility with vc6 runtime library!
You can not use php compiled by them with any other php extensions compiled by vc6. Note, that at the moment vc6 is THE ONLY officially supported compiler for php under Win32 platforms (see php.net for details)

_________________
The PHP IDE team
View user's profileFind all posts by dmitriSend private messageVisit poster's website
php compiled with vs2008 (maybe 2005 too) and phpexpress
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
All times are GMT - 5 Hours  
Page 1 of 1  

  
  
 Reply to topic